summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorPaul Smith <psmith@gnu.org>2009-06-13 21:21:48 +0000
committerPaul Smith <psmith@gnu.org>2009-06-13 21:21:48 +0000
commitbf9822658f50510d997da9d8c0c828dd7e26d6a6 (patch)
tree47ab9802e84026d85beb9e0b409872069bfb0e93 /tests
parentc8840352acf40443a70ea3748130cee055154492 (diff)
downloadgunmake-bf9822658f50510d997da9d8c0c828dd7e26d6a6.tar.gz
- Fix Savannah bug 17825
- Fix Savannah bug 21231
Diffstat (limited to 'tests')
-rw-r--r--tests/ChangeLog8
-rw-r--r--tests/scripts/functions/wildcard15
-rw-r--r--tests/scripts/options/dash-B12
3 files changed, 26 insertions, 9 deletions
diff --git a/tests/ChangeLog b/tests/ChangeLog
index 948d570..ddae67e 100644
--- a/tests/ChangeLog
+++ b/tests/ChangeLog
@@ -1,5 +1,13 @@
+2009-06-13 Paul Smith <psmith@gnu.org>
+
+ * scripts/functions/wildcard: Test that wildcards with
+ non-existent glob matchers return empty.
+
2009-06-09 Paul Smith <psmith@gnu.org>
+ * scripts/options/dash-B: Test the $? works correctly with -B.
+ Savannah bug #17825.
+
* scripts/features/patternrules: Test that dependencies of
"also_make" targets are created properly. Savannah bug #19108.
diff --git a/tests/scripts/functions/wildcard b/tests/scripts/functions/wildcard
index d61384e..2841f5d 100644
--- a/tests/scripts/functions/wildcard
+++ b/tests/scripts/functions/wildcard
@@ -81,14 +81,11 @@ if ((-f "example.1")||(-f "example.two")||(-f "example.3")||(-f "example.for"))
&compare_output($answer,&get_logfile(1));
+# TEST #4: Verify that failed wildcards don't return the pattern
-1;
-
-
-
-
-
-
-
-
+run_make_test(q!
+all: ; @echo $(wildcard xz--y*.7)
+!,
+ '', "\n");
+1;
diff --git a/tests/scripts/options/dash-B b/tests/scripts/options/dash-B
index 864a01f..e36842e 100644
--- a/tests/scripts/options/dash-B
+++ b/tests/scripts/options/dash-B
@@ -70,4 +70,16 @@ all');
rmfiles('foo.x', 'blah.x');
+# Test that $? is set properly with -B; all prerequisites will be newer!
+
+utouch(-10, 'x.b');
+touch('x.a');
+
+run_make_test(q!
+x.a: x.b ; @echo $?
+!,
+ '-B', "x.b\n");
+
+unlink(qw(x.a x.b));
+
1;